Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPoint

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPoint

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Point

    public class JSMPoint

extends JSMBaseObject
implements Point

Field Summary
`java.lang.String` | `color`
`java.lang.String` | `name`
`java.lang.Boolean` | `selected`
`java.lang.Boolean` | `sliced`
`java.lang.Double` | `x`
`java.lang.Double` | `y`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPoint()`

Method Summary
`java.lang.String` | `getColor()`
`java.lang.String` | `getName()`
`boolean` | `getSelected()`
`double` | `getX()`
`double` | `getY()`
`boolean` | `isSliced()`
`Point` | `setColor(java.lang.String color)`
`Point` | `setName(java.lang.String name)`
`Point` | `setSelected(boolean selected)`
`Point` | `setSliced(boolean sliced)`
`Point` | `setX(double x)`
`Point` | `setY(double y)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public java.lang.Double x

### y

    public java.lang.Double y

### selected

    public java.lang.Boolean selected

### sliced

    public java.lang.Boolean sliced

### color

    public java.lang.String color

### name

    public java.lang.String name

Constructor Detail

### JSMPoint

    public JSMPoint()

Method Detail

### getY

    public double getY()

  Specified by:
    `getY` in interface `Point`

### getX

    public double getX()

  Specified by:
    `getX` in interface `Point`

### getSelected

    public boolean getSelected()

  Specified by:
    `getSelected` in interface `Point`

### getColor

    public java.lang.String getColor()

  Specified by:
    `getColor` in interface `Point`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Point`

### setX

    public Point setX(double x)

  Specified by:
    `setX` in interface `Point`

### setY

    public Point setY(double y)

  Specified by:
    `setY` in interface `Point`

### setSelected

    public Point setSelected(boolean selected)

  Specified by:
    `setSelected` in interface `Point`

### setSliced

    public Point setSliced(boolean sliced)

  Specified by:
    `setSliced` in interface `Point`

### setColor

    public Point setColor(java.lang.String color)

  Specified by:
    `setColor` in interface `Point`

### setName

    public Point setName(java.lang.String name)

  Specified by:
    `setName` in interface `Point`

### isSliced

    public boolean isSliced()

  Specified by:
    `isSliced` in interface `Point`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD